Plugin VirtueMart Plus de 18 ans

1 1 1 1 1 Vote 0.00 (0 Votes)
 

Le but de du plugin plg-virtue-birthdate est d'autoriser l'accès à un groupe en fonction de l'âge déclaré par l'utilisateur à son inscription dans l'extension VirtueMart.

Ce plugin a été testé avec Joomla 3.9.13 et  VirtueMart 3.6.2.

Attention: ce plugin n'a pas moyen de contrôler que l'utilisateur a donné sa vraie date de naissance. Vous pouvez activer l'option agreed au niveau du formulaire client de VirtueMart.

Compat icon 3 x longPour fonctionner, il faut activer la saisie de la date de naissance au niveau du formulaire Client de VirtueMart et créer un groupe clients adulte.

param birthdate

Au niveau du plugin, nous attendons une zone birthdate définie dans le formulaire client de la même façon que l'écran à gauche.

Attention: la valeur par défaut doit être mise à vide, ce qui générera une valeur -jamais- par défaut.

Au niveau de l'affichage de la date dans la saisie des informations clients, il y a un bug VirtueMart qui bloque la combobox de l'année à l'année en cours (https://forum.virtuemart.net/index.php?topic=135169.0), donc, il faut modifier la ligne 778 du fichier vmjsapi.php dans le répertoire administrator\components\com_virtuemart\helpers : la ligne '.$yearRange.' devient yearRange:"1900:2016". En VirtueMart version 3.6.2, il faut aussi supprimer le contenu de la ligne 779 qui contient '.$minMax.', le mieux étant de la mettre à blanc.

Il faut ensuite définir un groupe de clients dans VirtueMart pour les adultes. Dans mon test, j'ai ajouté un groupe Adulte, mais, vous pouvez le nommer selon vos souhaits.

Au niveau du plugin Birthdate, des contrôles sont effectués sur l'existence de la zone birthdate dans le formulaire client, sinon, vous obtiendrez l'erreur suivante :

err birthdate

De même, si vous avez oublié d'assigner un groupe adulte au plugin, vous aurez le message suivant: 

err groupe

 

Une fois ces 2 pré-requis effectués, installez le plugin plg_virtue_birthdate à partir du zip et activez-le.

Au niveau du plugin, il faut associer le nouveau groupe qui sera réservé aux personnes de plus de 18 ans en sélectionnant dans la liste des groupes d'utilisateurs. 

Téléchargement du plugin plg_virtue_birthdate (version 1.0.0)
format ZIP

Téléchargement interdit

(déjà téléchargé 409 fois)

 

N'oubliez pas d'activer ce plugin.